Package com.castlabs.android.player

# Class AbstractCatchupListener

java.lang.Object
com.castlabs.android.player.AbstractCatchupListener

All Implemented Interfaces:
  `CatchupListener`

public abstract class AbstractCatchupListener extends Object implements CatchupListener
Abstract implementation of `CatchupListener` with empty methods for convenience.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractCatchupListener()`
  Default constructor for the AbstractCatchupListener.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onCatchupEnded()`
  Catchup has ended.
  `void`
  `onCatchupSeek(CatchupConfiguration.Type type)`
  A seek operation was triggered.
  `void`
  `onCatchupStarted(float speed)`
  Catchup has started.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractCatchupListener

    public AbstractCatchupListener()
    Default constructor for the AbstractCatchupListener.

- ## Method Details

  - ### onCatchupStarted

    public void onCatchupStarted(float speed)
    Catchup has started. This is only invoked if the Type is `CatchupConfiguration.Type.SPEED`.
    Specified by:
      `onCatchupStarted` in interface `CatchupListener`
    Parameters:
      `speed` - the catchup speed. Will be the value defined in `CatchupConfiguration.speedCoefficient`

  - ### onCatchupEnded

    public void onCatchupEnded()
    Catchup has ended. This is only invoked if the Type is `CatchupConfiguration.Type.SPEED`.
    Specified by:
      `onCatchupEnded` in interface `CatchupListener`

  - ### onCatchupSeek

    public void onCatchupSeek(CatchupConfiguration.Type type)
    A seek operation was triggered. There's two possible scenarios for this to happen:
    - The Type is `CatchupConfiguration.Type.SPEED`. In this case, the callback is triggered when the distance from `buffer end` or `media end` is bigger than `CatchupConfiguration.fallbackTimeThresholdMs`.
    - The Type is {@link com.castlabs.android.player.CatchupConfiguration.Type#SEEK}. In this case, the callback is rtiggered when the distance from `buffer end` or `media end` is bigger than `CatchupConfiguration.upperTimeThresholdMs`.
    Specified by:
      `onCatchupSeek` in interface `CatchupListener`
    Parameters:
      `type` - the `type` of the CatchupConfiguration that triggered the seek operation.